ALSA project - the C library reference

Loading...
Searching...
No Matches
Enumerations | Functions
pcm_hw.c File Reference
PCM Interface » PCM Plugins

PCM HW Plugin Interface. More...

## Enumerations
enum | { CHMAP_CTL_QUERY , CHMAP_CTL_GET , CHMAP_CTL_SET }

## Functions
snd_pcm_chmap_query_t ** | snd_pcm_query_chmaps_from_hw (int card, int dev, int subdev, snd_pcm_stream_t stream)
int | snd_pcm_hw_open_fd (snd_pcm_t **pcmp, const char *name, int fd, int sync_ptr_ioctl)
| Creates a new hw PCM.
int | snd_pcm_hw_open (snd_pcm_t **pcmp, const char *name, int card, int device, int subdevice, snd_pcm_stream_t stream, int mode, int mmap_emulation, int sync_ptr_ioctl)
| Creates a new hw PCM.
int | _snd_pcm_hw_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new hw PCM.

## Detailed Description

PCM HW Plugin Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2000-2001

## Function Documentation

## ◆ snd_pcm_hw_open_fd()

int snd_pcm_hw_open_fd | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | int | fd,
|  | int | sync_ptr_ioctl )

Creates a new hw PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  fd | File descriptor
  sync_ptr_ioctl | Boolean flag for sync_ptr ioctl

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.